import request from '@/utils/request'
//获取站级别抽问抽答完成率
export function getStationLevelRate (params) {
  return request({
    url: '/exam/daily/site-profile/daily-completion-rate',
    method: 'get',
    data: params
  });
}
//获取部门抽问抽答完成率
export function getDepartmentLevelRate (params) {
  return request({
    url: '/exam/daily/dept-profile/daily-completion-rate',
    method: 'get',
    data: params
  });
}
//工作画像-总体概览
export function getWorkingPortrait (params) {
  return request({
    url: '/system/user/workingPortrait',
    method: 'get',
    data: params
  });
}
//工作画像-组织支撑-培训测试平均分趋势图
export function getTrainingTestScoreTrend (params) {
  return request({
    url: '/system/growth/organizationalSupport',
    method: 'get',
    data: params
  });
}
//工作画像-管理推动-检查单
export function getManagementRecord (params) {
  return request({
    url: '/check/largeScreen/managementPromotionRecord',
    method: 'get',
    data: params
  });
}
//工作画像-管理推动-整改单
export function getManagementRectify (params) {
  return request({
    url: '/check/largeScreen/managementPromotionCorrection',
    method: 'get',
    data: params
  });
}
//工作画像-工作产出-巡检问题统计图
export function getInspectionProblemChart (params) {
  return request({
    url: '/check/largeScreen/workOutputCheck',
    method: 'get',
    data: params
  });
}
//工作画像--通道开放趋势图(折线图)
export function getChannelOpenTrendChart (params) {
  return request({
    url: '/attendance/stats/channel/open/trend',
    method: 'get',
    data: params
  });
}
//工作画像--查获审批时长统计(柱状图)
export function getDurationChart (params) {
  return request({
    url: '/item/user-ranking/seizure-approval/duration',
    method: 'get',
    data: params
  });
}
//工作画像--查获趋势图，获取有效查获趋势数据（默认近90天）
export function getSeizureTrendChart (params) {
  return request({
    url: '/item/user-ranking/seizure-trend',
    method: 'get',
    data: params
  });
}


